import { CodeError } from '@iotize/common/error';
export declare class ConverterError extends CodeError<ConverterError.Code> {
    cause?: Error | undefined;
    constructor(code: ConverterError.Code, msg: string, cause?: Error | undefined);
    static unexpectedBufferSize(expected: number, buffer: Uint8Array): ConverterError;
    static nullBufferError(msg: string): ConverterError;
}
export declare namespace ConverterError {
    enum Code {
        UnexpectedBufferSizeError = "UnexpectedBufferSizeError",
        NullBufferError = "NullBufferError"
    }
}
